curl --request PUT \
--url https://melso.ai/api/workspaces/{id}/webhooks/{endpointId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://receiver.example.com/melso",
"event_types": [
"task.delivered"
],
"enabled": false
}
'import requests
url = "https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}"
payload = {
"url": "https://receiver.example.com/melso",
"event_types": ["task.delivered"],
"enabled": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://receiver.example.com/melso',
event_types: ['task.delivered'],
enabled: false
})
};
fetch('https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://receiver.example.com/melso',
'event_types' => [
'task.delivered'
],
'enabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}"
payload := strings.NewReader("{\n \"url\": \"https://receiver.example.com/melso\",\n \"event_types\": [\n \"task.delivered\"\n ],\n \"enabled\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://receiver.example.com/melso\",\n \"event_types\": [\n \"task.delivered\"\n ],\n \"enabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://receiver.example.com/melso\",\n \"event_types\": [\n \"task.delivered\"\n ],\n \"enabled\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"description": "<string>",
"event_types": [
"<string>"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Update outbound webhook endpoint
Human workspace owner/admin; Run and MCP actors rejected.
Request: Same fields as creation; full replacement. enabled defaults true when omitted.
Response: {id:UUID,workspace_id:UUID,url:string,description:string,event_types:string[],enabled:boolean,created_at:timestamp}.
Status: 200; 400 invalid URL/events; 404 missing endpoint. Authentication and resource-access errors follow Overview.
curl --request PUT \
--url https://melso.ai/api/workspaces/{id}/webhooks/{endpointId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://receiver.example.com/melso",
"event_types": [
"task.delivered"
],
"enabled": false
}
'import requests
url = "https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}"
payload = {
"url": "https://receiver.example.com/melso",
"event_types": ["task.delivered"],
"enabled": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://receiver.example.com/melso',
event_types: ['task.delivered'],
enabled: false
})
};
fetch('https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://receiver.example.com/melso',
'event_types' => [
'task.delivered'
],
'enabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}"
payload := strings.NewReader("{\n \"url\": \"https://receiver.example.com/melso\",\n \"event_types\": [\n \"task.delivered\"\n ],\n \"enabled\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://receiver.example.com/melso\",\n \"event_types\": [\n \"task.delivered\"\n ],\n \"enabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/workspaces/{id}/webhooks/{endpointId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://receiver.example.com/melso\",\n \"event_types\": [\n \"task.delivered\"\n ],\n \"enabled\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"description": "<string>",
"event_types": [
"<string>"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Path Parameters
id from the corresponding authorized response.
endpointId from the corresponding authorized response.
Response
{id:UUID,workspace_id:UUID,url:string,description:string,event_types:string[],enabled:boolean,created_at:timestamp}.